The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Attack Filters Assignments

Prev Next

This URL gets the assignments of an attack filter across all attacks and resources.

Resource URL

GET /attackfilter/<attackfilter_id>/assignments

Request Parameters

Field Name Description Data Type Mandatory
attackfilter_id Attack filter id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
AssignmentDetails List of attack filter assignment details Array

Details of object in AttackFilterDescriptor:

Field Name Description Data Type
resourceName Resource (Domain/Sensor/Interface) name String
attackId Attack id String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/attackfilter/%3Cattackfilter_id/assignments

Response

{
	"AssignmentDetails": [
 		{
 			"resourceName": "My Company",
 			"attackId": "0x40503900"
 		},
 		{
 			"resourceName": "My Company",
 			"attackId": "0x48304e00"
 		}
 ]
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1408 Invalid attack filter id